List integration triggers
curl --request GET \
--url https://api.parkes.ai/rest/v1/integrations/{slug}/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.parkes.ai/rest/v1/integrations/{slug}/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.parkes.ai/rest/v1/integrations/{slug}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parkes.ai/rest/v1/integrations/{slug}/triggers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parkes.ai/rest/v1/integrations/{slug}/triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parkes.ai/rest/v1/integrations/{slug}/triggers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parkes.ai/rest/v1/integrations/{slug}/triggers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"input_schema": {},
"events": {}
}
],
"page": {
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "about:blank",
"title": "Unauthenticated",
"status": 401,
"code": "unauthenticated",
"detail": "A valid bearer credential is required",
"request_id": "0b7238c5-a883-4ed0-8613-31f531e50f40"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}Integrations
List integration triggers
Requires integrations:read.
Required scopes (OAuth and personal tokens): integrations:read. Resource permissions also apply.
GET
/
rest
/
v1
/
integrations
/
{slug}
/
triggers
List integration triggers
curl --request GET \
--url https://api.parkes.ai/rest/v1/integrations/{slug}/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.parkes.ai/rest/v1/integrations/{slug}/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.parkes.ai/rest/v1/integrations/{slug}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parkes.ai/rest/v1/integrations/{slug}/triggers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parkes.ai/rest/v1/integrations/{slug}/triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parkes.ai/rest/v1/integrations/{slug}/triggers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parkes.ai/rest/v1/integrations/{slug}/triggers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"input_schema": {},
"events": {}
}
],
"page": {
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "about:blank",
"title": "Unauthenticated",
"status": 401,
"code": "unauthenticated",
"detail": "A valid bearer credential is required",
"request_id": "0b7238c5-a883-4ed0-8613-31f531e50f40"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}Authorizations
oauthbearer
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identifier of the requested resource.
Query Parameters
Maximum number of results to return in this page.
Required range:
1 <= x <= 200Opaque cursor from page.next_cursor. Keep the original filters unchanged when requesting the next page.